Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227090 - Review Request: nekohtml-0.9.5-4jpp - HTML scanner and tag balancer
Summary: Review Request: nekohtml-0.9.5-4jpp - HTML scanner and tag balancer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:48 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 18:14:12 UTC
viveklak: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)
Small patch to spec file (deleted)
2007-02-13 18:55 UTC, Vivek Lakshmanan
no flags Details | Diff

Description Rafael H. Schloming 2007-02-02 17:48:05 UTC
Spec URL: http://people.redhat.com/rafaels/specs/nekohtml-0.9.5-4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/nekohtml-0.9.5-4jpp.src.rpm
Description: NekoHTML is a simple HTML scanner and tag balancer that enables
application programmers to parse HTML documents and access the
information using standard XML interfaces. The parser can scan HTML
files and "fix up" many common mistakes that human (and computer)
authors make in writing HTML documents.  NekoHTML adds missing parent
elements; automatically closes elements with optional end tags; and
can handle mismatched inline element tags.
NekoHTML is written using the Xerces Native Interface (XNI) that is
the foundation of the Xerces2 implementation. This enables you to use
the NekoHTML parser with existing XNI tools without modification or
rewriting code.

Javadoc for nekohtml.

Demonstrations and samples for nekohtml.

Comment 1 Kyu Lee 2007-02-12 22:33:16 UTC
Review comments:

* Apache-like license is not proper license name.
* license is not open source-compatible.
 - use acronyms for licences where common

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


* rpmlint on <this package>.srpm gives some output

W: nekohtml non-standard-group Text Processing/Markup/HTML
W: nekohtml invalid-license Apache-like
E: nekohtml unknown-key GPG#c431416d


* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Vendor tag should not be used

* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

* split Requires(pre,post) into two separate lines



Comment 3 Vivek Lakshmanan 2007-02-13 18:55:51 UTC
Created attachment 148012 [details]
Small patch to spec file

Looks good overall, minor fixes to the spec file are attached in the patch. The
unversioned javadoc link is not necessary and it probably best to add a
requires/requires(postun) on jpackage-utils for %{_javadir}/%{_javadoc}
ownership

Comment 4 Jeff Johnston 2007-02-13 19:25:39 UTC
New patch applied.  Removed requires postun as this was deemed unnecessary by
Andrew.  I also put back the changelog entries I had changed as the old format
for e-mail address is ok.  The %doc statement was changed to the new agreed
format of %{_javadocdir}/*

http://www.vermillionskye.com/downloads/nekohtml-0.9.5-4jpp.1.src.rpm
http://www.vermillionskye.com/downloads/nekohtml.spec

Comment 5 Vivek Lakshmanan 2007-02-13 20:05:26 UTC
Looks good to me. Built fine in mock. I am going to approve this. Please build
it into rawhide and once I can confirm it has made it through I will close it.

Comment 6 Matt Wringe 2007-03-06 15:49:46 UTC
New Package CVS Request
=======================
Package Name: nekohtml
Short Description:  HTML scanner and tag balancer
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 7 Jens Petersen 2007-03-09 01:40:58 UTC
cvs module added


Note You need to log in before you can comment on or make changes to this bug.